

#include "interrupt.H"


using namespace std;
using namespace avelino;


void avelino::interruptInit() {
    // enable interrupts
    asm volatile (
        "csrw mtvec, %[reg]" : : [reg] "r" ((uint32_t) 3)       // mtvec.MODE = 3 --> vectored with absolute addesses (no jumps)
    );
    asm volatile (
        "csrw mstatus, %[reg]" : : [reg] "r" ((uint32_t) 8)    // mstatus.MIE = 1 --> global interrupt enable
    );
}

